Figure - Bug #115061
2023-01-04 14:31 - CDTS_TEST O O

D.X101.2

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date: 2023-03-13

Assignee: CD Test O % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_0078_20230228

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.0
Resolution: FIXED Degrated: -

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-22

Test Type: ST Root cause: 000000000 da2dpod
Description
History

#1 - 2023-01-04 14:35 - CDTS_TEST O O

goLochooooooooood

logO O :https://thundersoft.feishu.cn/file/boxcnLx4WWQ1fKuPCOn3U1Gnnzb

#2 - 2023-01-04 15:57 - CDTS_TEST O O

- Category changed from BSP to AUDIO-FW

#3-2023-01-0517:11-CDMMO O O

0000000000000000,0000000 speakert O,
gooooooooooo,00oooboooooo.

O000logd O
/InewProfileStateD 0,0 0 O OO .

12-3122:14:18.504 1954 2260 D CachedBluetoothDevice: onProfileStateChanged: profile HEADSET, device Shinco, newProfileState 0
12-3122:14:18.514 19451 19451 D CachedBluetoothDevice: onProfileStateChanged: profile HEADSET, device Shinco, newProfileState 0
/ogoo:oxgo0Coonoo

12-3122:14:18.538 805 4540 D audio_hw_primary: start_output_stream: enter: stream(0xecb04330)usecase(1: low-latency-playback) devices(0x80)

is_haptic_usecase(0)

12-3122:14:19.095 805 4540 D audio_hw_primary: start_output_stream: enter: stream(0Oxecb04330)usecase(1: low-latency-playback) devices(0x80)
is_haptic_usecase(0)

//0000000 0 audiol : state=0

12-3122:14:19.153 1488 1769 | AS.AudioDeviceBroker: handleBluetoothA2dpActiveDeviceChangeExt state=0 addr=11:F5:F4:BC:88:3E prof=2
supprNoisy=false vol=-1

12-3122:14:19.155 805 4540 D audio_hw_primary: start_output_stream: enter: stream(0xecb04330)usecase(1: low-latency-playback) devices(0x80)
is_haptic_usecase(0)

//000000000,0000000A2DP profile

12-3122:14:19.155 805 4540 E audio_hw_primary: start_output_stream: A2DP profile is not ready, return error

12-3122:14:19.182 805 4540 E audio_hw_primary: start_output_stream: A2DP profile is not ready, return error
//00000000D0audiod:state=0,00000C00O0ODO.

12-3122:14:19.228 1488 1769 | AS.AudioDeviceBroker: msg: setBluetoothA2dpDeviceConnectionStateSuppressNoisyIntent state=0 addr=11:F5:F4:BC:88:3E
prof=2 supprNoisy=false vol=-1

12-3122:14:19.229 1488 1769 E AS.AudioDevicelnventory: invalid null Devicelnfo in setBluetoothA2dpDeviceConnectionState

/faudiofocus, 0 0 0 0 0O

12-3122:29:14.281 1488 6241 | MediaFocusControl: requestAudioFocus() from uid/pid 10089/32547 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC
clientid=android.media.AudioManager@843a749com.android.music.MediaPlaybackService$4@d3ca84e callingPack=com.android.music req=1 flags=0x0
sdk=31

/0000000000,00000 0 speaker (0x2)

12-3122:29:14.297 805 1806 D audio_hw_primary: adev_open_output_stream: enter: format(0x1000000) sample_rate(44100) channel_mask(0x3) devices(0x2)
flags(0x31)  stream_handle(Oxecb0eb00) address()

12-3122:29:14.382 805 32626 D audio_hw_primary: start_output_stream: enter: stream(0xech0eb00)usecase(3: compress-offload-playback) devices(0x2)
is_haptic_usecase(0)

Olog0 O 0,audio000O0DODODODO.
goooooboobo,obobooooobooboobobon.
#4 - 2023-01-0517:37-CDMMO O O

- Due date set to 2023-01-19

#5 - 2023-01-06 14:42-CDMMUO O O

- Category changed from AUDIO-FW to LC

- Assignee changed fromCDMMO 0 0 toCDLCO OO

Hi, OO,

gooooooo,0ooooooooooo0n.
000000, 00000000speaker, 000000000000 DOOOO,00000,00000000D00.

2025-07-04 217



OmmframeworkD0 OO0, 000000000C00O00O.

00ooooooooo,0o0oo0o0oooooo0o0ob00o0@O000000000000disconectedd O ?)?

oot

#6 - 2023-02-0223:26 -CDLCO OO
- Due date changed from 2023-01-19 to 2023-02-08

ooo

OO0O0OpatchOOOOOCOODOO

#7-2023-02-0319:08-0 0 0000 _CDTSO OO

O000000patchDDOOOO0ODOOO0OOOO0OOOOOOOOOOOOO3DO00O0O00OOO0OODOOOODODOOO

gooogveciooooooooppoEncowlD 00O

#8-2023-02-0420:53-CDLCO OO
- Status changed from New to NEED_INFO
- Assignee changed fromCDLCO OO toOOOODOO _CDTSO OO

HioO

OgO00020230204DBO000000000,00000000000.

gooQeRuIibDOO,0C0OoObobCL.0000n0nd (Vivo TWS Neo).

gooooooooooooo,ooboooooooo,oo!

#9-2023-02-0611:44-0 00000 _CDTSO OO

00 00 0O 202302050304

oo00oo00b0o0—-—000FgueD 0D0O0O00OOOO0OOOOOOOOOOOODOOOOOOOODOOOOODO

0000000—-oO0ppoEncoWs10O0O0O0O0O000000000000000000000000O0

#10-2023-02-0814:33-0 00000 _CDTSO OO

o030 ooooooooooooooo

gobooooooooooooooooooooooooo

#11-2023-02-0917:12-0 00000 _CDTSO O

- File new 112.txt added

- Status changed from NEED_INFO to ASSIGNED

- AssigneechangedfromO0 0 0000 _CDTSOODO toCDLCO OO

0000000000 log
#12-2023-02-0917:13-0 00000 _CDTSO O
- File logcat20230209.log added

#13 - 2023-02-1619:54-CDLC O O O

Qcom case: 06496694
https://support-qualcomm.force.com/s/case/5004V00001LtRFU/bluetooth-there-is-no-sound-during-playback-after-dialing-voip

#14 - 2023-02-17 10:55-CD TPM-0O0 O O
- Target version set to VC1_FSE_0082_20230314

#15-2023-02-2317:30-CDLCO OO
- Status changed from ASSIGNED to NEED_INFO
- Assignee changed from CD LC 0O 0 O to CD Test O

HiOO

gooOooOoHCIOXDMO O OBTOOOODODOOODOOODOOUOODOOODO
gooobooooboboboobo

Bluetooth logsCl O O O

09090 0 QXDMUO O O O O O Bluetoothd QXDMO O O

Jod90 000000 OONODNBluetoothd O O

ooooo
1L.00000HombilD O O0O0O0O0O0O00O0

Settings -> System -> Developer options -> Enable Bluetooth HCI snoop log -> "Enabled"

goooo

LgpCOODODOOODOO

$adb root

$ adb disable-verity

$ adb reboot

$ adb root

$ adb remount

$ adb push bt_stack.conf /etc/bluetooth/

$ adb shell setprop persist.bluetooth.btsnoopsize 150
$ adb shell setprop persist.bluetooth.btsnooplogmode full
Obt stackconfO OO0 OOOOOOO

2. [0 O Bluetooth

3.0000000 0 logeat log:

$adb logcat -c

$adb logcat -G 16M

$adb logcat -b all -v threadtime > logcat.log

4.0 OBluetoothOD O 000000000

50000000 0 btsnoop log
$ adb pull /data/misc/bluetooth/logs
https://support-qualcomm.force.com/s/case/5004V00001LtRFU/bluetooth-there-is-no-sound-during-playback-after-dialing-voip

6.0 000"logeatlog" 0 0 050000 "logs"0 OO

ooo

#16 - 2023-02-23 19:56 - CD TestO O

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TestO) 0 toCDLC O O O

Hi,0 O

0002/230release0 0000000000000 0OO0OIlogd logh FTPO

ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_115061/Log_2023 0223 0312.zip
OlogDO00OOD0OD0OD00ODO

#17-2023-02-2422:13-CDLCO OO

0000000000000 Audiod 00000 patch

O0O000patcchDOODOOODOOODODO

oooooooo

#18 - 2023-03-0122:04-CDLC O OO

SLIMBUS_7_RX: ASoC: backend prepare failed -22 , this is the slimbus_7_rx port open failure issue which happened from the log beginning to the end in all the use case.

OOcased 0 OMMODODO.

#19-2023-03-06 16:13-CDLCO OO

00ooooooooMMOOdd: 06509784

oood:

[8500/ 3] MSG 00:05:01.184 QDSP6/Error [cdc_data_msg_handler.cpp  640] Error. Sampling rate in media type msg 16000 does not match configured sampling rate

44100 0

it is the sample rate mismatched issue, i will check and update to you later.

#20 - 2023-03-06 22:12-CDLC O O O

00o0o0o,oMMO000000.0000O0case00Audio0DOO0O.

#21-2023-03-1017:41-CDLCO OO

- Assignee changed from CD LC [0 0 O to Multimediall -RD3_TSCD 0 [0 O

HiOoOO

the root cause is the encoder AAC configuration is set as 44.1khz for a2dp playback on slimbus_port. but this configuration is not reset. so , when the sco is enable with 16k

on the same port .confliction happened.
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_115061/Log_2023_0223_0312.zip

000000 00 case 06509784
ooo

#22-2023-03-1017:41-CDLCO OO
- Due date changed from 2023-02-08 to 2023-03-13

#23 - 2023-03-1310:16 - CD TPM-0 O O
- Category changed from LC to AUDIO-FW

#24 - 2023-03-15 11:23 - Multimedial) -RD3_TSCD 0 0 O

Hi ALL,
m 0000
O0000O0pacthOOOODODOODODOODODOODODOODODO

#25 - 2023-03-16 14:05 - Multimediall -RD3_TSCD 0 0 O

Hi ALL,

s 0000

OO0O000OpatcchDOODOOODOOODOODODDO
goooovolroboooooooboooboooooooobooooboooooboooobo

#26 - 2023-03-20 17:29 - Multimediall -RD3_TSCD 0O O O
- Status changed from ASSIGNED to NEED_INFO
- Assignee changed from Multimediall -RD3_TSCD O O O to CD Testd O

HiOO
m 0000
10000000000 00000ooRLuuboouoboooooo

20000000patch0 0000000000 OOOOOOOO
gooobooooboboboboobooo

JenkinsO O

http://192.168.87.26:8080/view/Projects/view/Project-10T/job/VerifyBuild_for 10T 6490/211/parameters/
FTPO O

Figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20230320/202303200923-211

#27 - 2023-03-21 15:42 - CD TestO O
- Status changed from NEED_INFO to ASSIGNED
- Assignee changed from CD Test[] [ to Multimediald -RD3_TSCD 0 00 [

goveOOOOOOOODDO
-000ooooooooooo
QRbIODOOODoOoOooOoOoobooOoOooDboooDDboo
-0000oo0ooooooooo
QR bUIbODOoOooooon
http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/211/parameters/

#28 - 2023-03-22 18:50 - Multimediall -RD3_TSCD O O O

- Assignee changed from Multimediall -RD3_TSCD O O O to CD Testd O
- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-22

-Rootcausesetto 0 000000 OO0 a2dp0 O

HiOO

01161610 O

00000000000 000000000000000000Orelease0 0000000000 OODO0O
gooooo

1.00000000musicO voicecalld 0 0 0 O

200 00000musicO0 000

30000000voicecalD D OO

#29 - 2023-03-22 18:50 - Multimediall -RD3_TSCD O O O
- Status changed from ASSIGNED to RESOLVED

#30 - 2023-03-23 14:22 - CDTS_TESTO O
- Target version changed from VC1_FSE_0082_20230314 to VX1_MCE_FSE_0078_20230228

#31 - 2023-03-23 15:06 - CD TestO O
- Status changed from RESOLVED to VERIFIED
- % Done changed from 0 to 100

0 0 00 O FatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101
00D 0O 0PASS

#32 - 2023-03-23 15:06 - CD TestO O
- Status changed from VERIFIED to CLOSED

Files
new 112.txt 957 KB 2023-02-09 gooooo_cbTsano
logcat20230209.log 329 MB 2023-02-09 gooooo_cbTsano
